<script setup lang="ts">
import { Docs, ChevronLgRight, SupportBold } from 'slippers-ui/icons';

defineProps({
  backgroundClass: {
    type: String,
    default: '',
  },
});
</script>

<template>
  <SlpContainer variant="charcoal-75" class="half-charcoal" :class="backgroundClass">
    <div class="get-started">
      <div class="free-trial">
        <SlpTypography variant="heading4-bold" tag="h4" class="header"> Ready to get started? </SlpTypography>
        <SlpTypography variant="body1" tag="p" class="description">
          See what your team could do with a unified DevSecOps Platform
        </SlpTypography>
        <SlpButton
          variant="secondary"
          href="https://gitlab.com/-/trial_registrations/new?glm_content=default-saas-trial&amp;glm_source=about.gitlab.com"
          class="free-trial-cta"
          data-ga-name="free trial"
          data-ga-location="body"
        >
          Get free trial
        </SlpButton>
      </div>
      <div class="guide">
        <SlpIcon :icon="Docs" color="FFFFFF" size="lg" />
        <SlpTypography variant="body1" tag="p" class="description">
          Find out which plan works best for your team
        </SlpTypography>
        <SlpButton href="/pricing" variant="tertiary" class="cta-button" data-ga-name="pricing" data-ga-location="body">
          Learn about pricing
          <SlpIcon :icon="ChevronLgRight" size="md" />
        </SlpButton>
      </div>
      <div class="contact">
        <SlpIcon :icon="SupportBold" color="FFFFFF" size="lg" />
        <SlpTypography variant="body1" tag="p" class="description">
          Learn about what GitLab can do for your team
        </SlpTypography>
        <SlpButton href="/sales" variant="tertiary" class="cta-button" data-ga-name="sales" data-ga-location="body">
          Talk to an expert
          <SlpIcon :icon="ChevronLgRight" size="md" />
        </SlpButton>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.get-started {
  display: flex;
  padding: 64px 96px;
  color: white;
  align-items: flex-start;
  gap: 32px;
  margin-bottom: 96px;
  border-radius: 12px;
  border: 1px solid var(--slp-color-surface-500, #74717a);
  background: var(--slp-color-surface-700, #171321);
  @media (max-width: $breakpoint-lg) {
    flex-direction: column;
    padding: 32px 24px;
  }
  .header {
    background: linear-gradient(122deg, #feb484 4.62%, #a686f2 33.52%, #592ac8 59.07%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
}

.free-trial {
  display: flex;
  flex-direction: column;
  gap: 8px;
  height: 100%;
  .description {
    margin-bottom: 8px;
  }
}
.guide,
.contact {
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: 16px;
}
.description {
  flex-basis: 100%;
}
.half-charcoal {
  background-image: linear-gradient(to bottom, $color-surface-50 0% 50%, $color-primary-200 50% 100%);
}
.half-purple {
  margin-top: 0;
  background-image: linear-gradient(to bottom, $color-surface-800 0% 50%, $color-primary-200 50% 100%) !important;
}
.cta-button {
  color: white;
  text-align: left;
}
.free-trial-cta {
  white-space: nowrap;
  width: 100%;
  justify-content: center;
  @media (min-width: $breakpoint-sm) {
    width: auto;
    align-self: flex-start;
  }
}
</style>
